#!/bin/bash
#
# install script for one or more ftm-compiled mxo's
# creates link to local FTMlib.framework
# fixes bundle bit
#
# USAGE:
#	todo
#
# $Id: install-mxo.sh,v 1.8 2007-09-07 16:04:10 borghesi Exp $

ext=${WRAPPER_EXTENSION:-mxo}
default_prod=$PRODUCT_NAME.$WRAPPER_EXTENSION
default_dir=$EXTERNALS_DIR

prod=${1:-$default_prod}
dir=${2:-$default_dir}
ext=${WRAPPER_EXTENSION:-mxo}
base=`echo $prod | sed "s|\.$ext||"`

# mxo bundle 
proddir=$BUILT_PRODUCTS_DIR/$prod
installdir=$dir/$prod

# actual object within mxo bundle
objsrc=$proddir/Contents/MacOS/$base
objinstall=$installdir/Contents/MacOS/$base

FTMLIB_FRAMEWORK=`otool -L -arch i386 $objsrc | grep ftm.mxo | awk '{print $1}'`
FTMLIB_FRAMEWORK_RELATIVE=`perl -e '$_ = shift; s(.*/(ftm.mxo))(\@loader_path/../../../$1); print $_;' $FTMLIB_FRAMEWORK`

echo "[patching dynamic library"
echo "   from '$FTMLIB_FRAMEWORK'"
echo "   to   '$FTMLIB_FRAMEWORK_RELATIVE'"
echo "   in   '$objsrc']"

install_name_tool -change $FTMLIB_FRAMEWORK $FTMLIB_FRAMEWORK_RELATIVE $objsrc

# set bundle bit for mxo's (on some installations, they show up as directories)
/Developer/Tools/SetFile -a B $proddir

# remove target for clean install with current date and flags for directories
echo "[removing  $installdir]"
rm -fr $installdir

# copy to install dir with all attributes and resources
echo "[installing $prod as $installdir]"
ditto --rsrc $proddir $installdir
